﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Principal;
using System.Text;
using System.Threading.Tasks;

namespace Models.Table
{ 
    [SugarTable("base_log_detail")]
    public class LogDetail : BaseTable
    {
        [SugarColumn(IsIdentity = true, IsPrimaryKey = true)]
        public int id { get; set; }

        [SugarColumn(ColumnName = "inventory_id")]
        public int inventoryId { get; set; }

        [SugarColumn(ColumnName = "summary_id")]
        public int summaryId { get; set; }

        public String epc { get; set; }

        [SugarColumn(ColumnName = "equipment_name")]
        public String? equipmentName { get; set; }

        [SugarColumn(ColumnName = "equipment_size")]
        public String? equipmentSize { get; set; }

        [SugarColumn(ColumnName = "equipment_type_id")]
        public String? equipmentTypeId { get; set; }

        [SugarColumn(ColumnName = "equipment_size_id")]
        public String? equipmentSizeId { get; set; }

        [SugarColumn(ColumnName = "error_state")]
        public int? errorState { get; set; }

        public int? state { get; set; }

        [SugarColumn(ColumnName = "car_id")]
        public int? carid { get; set; }

        [SugarColumn(ColumnName = "order_id")]
        public String? orderId { get; set; }

        [SugarColumn(ColumnName = "order_code")]
        public String? orderCode { get; set; }

        [SugarColumn(ColumnName = "supplier_id")]
        public String? supplierId { get; set; }

        [SugarColumn(ColumnName = "supplier_name")]
        public String? supplierName { get; set; }

        [SugarColumn(ColumnName = "equipment_type")]
        public int? equipmentType { get; set; }

        [SugarColumn(ColumnName = "price")]
        public decimal? price { get; set; }
    }
}
